QAssistantClient(3qt)

NAME
QAssistantClient - Means of using TQt Assistant as an application's help tool

SYNOPSIS
#include <ntqassistantclient.h>

Inherits TQObject.

  Public Members
QAssistantClient ( const TQString & path, TQObject * parent = 0, const char * name = 0 )
~QAssistantClient ()
bool isOpen () const
void setArguments ( const QStringList & args )

  Public Slots
virtual void openAssistant ()
virtual void closeAssistant ()
virtual void showPage ( const TQString & page )

  Signals
void assistantOpened ()
void assistantClosed ()
void error ( const TQString & msg )

  Properties
bool open - whether TQt Assistant is open (read only)

DESCRIPTION
The QAssistantClient class provides a means of using TQt Assistant as an application's help tool.

Using TQt Assistant is simple: Create a QAssistantClient instance, then call showPage() as often as necessary to show your help pages. When you call showPage(), TQt Assistant will be launched if it isn't already running.

The QAssistantClient instance can open (openAssistant()) or close (closeAssistant()) TQt Assistant whenever required. If TQt Assistant is open, isOpen() returns TRUE.

One QAssistantClient instance interacts with one TQt Assistant instance, so every time you call openAssistant(), showPage() or closeAssistant() they are applied to the particular TQt Assistant instance associated with the QAssistantClient.

When you call openAssistant() the assistantOpened() signal is emitted. Similarly when closeAssistant() is called, assistantClosed() is emitted. In either case, if an error occurs, error() is emitted.

This class is not included in the TQt library itself. To use it you must link against libtqassistantclient.a (Unix) or qassistantclient.lib (Windows), which is built into INSTALL/lib if you built the TQt tools (INSTALL is the directory where TQt is installed). If you use qmake, then you can simply add the following line to your pro file:

        LIBS += -ltqassistantclient

See also "Adding Documentation to TQt Assistant" in the TQt Assistant manual.

MEMBER FUNCTION DOCUMENTATION

QAssistantClient::QAssistantClient ( const TQString & path, TQObject * parent = 0, const char * name = 0 )
Constructs an assistant client object. The path specifies the path to the TQt Assistant executable. If path is an empty string the system path (%PATH% or $PATH) is used.

The assistant client object is a child of parent and is called name.

QAssistantClient::~QAssistantClient ()
Destroys the assistant client object and frees up all allocated resources.

void QAssistantClient::assistantClosed () [signal]
This signal is emitted when the connection to TQt Assistant is closed. This happens when the user exits TQt Assistant, or when an error in the server or client occurs, or if closeAssistant() is called.

void QAssistantClient::assistantOpened () [signal]
This signal is emitted when TQt Assistant is open and the client-server communication is set up.

void QAssistantClient::closeAssistant () [virtual slot]
Use this function to close TQt Assistant.

See also assistantClosed().

void QAssistantClient::error ( const TQString & msg ) [signal]
This signal is emitted if TQt Assistant cannot be started or if an error occurs during the initialization of the connection between TQt Assistant and the calling application. The msg provides an explanation of the error.

bool QAssistantClient::isOpen () const
Returns TRUE if TQt Assistant is open; otherwise returns FALSE. See the "open" property for details.

void QAssistantClient::openAssistant () [virtual slot]
This function opens TQt Assistant and sets up the client-server communiction between the application and TQt Assistant. If it is already open, this function does nothing. If an error occurs, error() is emitted.

See also assistantOpened().

void QAssistantClient::setArguments ( const QStringList & args )
Sets the command line arguments used when TQt Assistant is started to args.

void QAssistantClient::showPage ( const TQString & page ) [virtual slot]
Call this function to make TQt Assistant show a particular page. The page is a filename (e.g. myhelpfile.html). See "Adding Documentation to TQt Assistant" in the TQt Assistant manual for further information.

If TQt Assistant hasn't been opened yet, this function will do nothing. You can use isOpen() to determine whether TQt Assistant is up and running, or you can connect to the asssistantOpened() signal.

See also open and assistantOpened().

Example: helpsystem/mainwindow.cpp.

  Property Documentation

bool open
This property holds whether TQt Assistant is open.

Get this property's value with isOpen().

SEE ALSO
http://doc.trolltech.com/ntqassistantclient.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqassistantclient.3qt) and the Qt version (3.3.8).